Postonus
APIReferenceAnalytics

Get workspace analytics summary

GET
/analytics/summary

Authorization

apiKey
headerx-api-key<token>

Query Parameters

period?string
Default"7d"
Value in"7d""30d""90d"
platform?string
Value in"BLUESKY""DISCORD""FACEBOOK""GOOGLE_BUSINESS_PROFILE""INSTAGRAM""LINKEDIN""LINKEDIN_PAGE""PINTEREST""REDDIT""SNAPCHAT""TELEGRAM""THREADS""TIKTOK""TUMBLR""TWITTER""WHATSAPP""YOUTUBE"

Response Body

OK

application/json
  1. response
period?string
Default"7d"
Value in"7d""30d""90d"
totals*
timeSeries*array<>
topPosts*array<>
takeaways*|null
Example Request
curl -X GET 'https://app.postonus.com/api/v1/analytics/summary'
Example Response
{  "period": "7d",  "totals": {    "impressions": -9007199254740991,    "engagements": -9007199254740991,    "clicks": -9007199254740991,    "shares": -9007199254740991,    "comments": -9007199254740991,    "engagementRate": 0,    "publishedCount": -9007199254740991  },  "timeSeries": [    {      "date": "string",      "impressions": -9007199254740991,      "engagements": -9007199254740991,      "clicks": -9007199254740991,      "shares": -9007199254740991    }  ],  "topPosts": [    {      "postId": "1d33c5d7-f0cb-41cc-a647-907f16832fc3",      "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe",      "platform": "BLUESKY",      "scheduledAt": "2019-08-24T14:15:22Z",      "content": "string",      "impressions": -9007199254740991,      "engagements": -9007199254740991,      "clicks": -9007199254740991,      "shares": -9007199254740991,      "comments": -9007199254740991,      "engagementRate": 0    }  ],  "takeaways": {    "headline": "string",    "whatWorked": [      "string"    ],    "whatToImprove": [      "string"    ],    "recommendedActions": [      "string"    ],    "generatedAt": "2019-08-24T14:15:22Z"  }}